Bug 468074 - failed while downloading/install kernel
failed while downloading/install kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
anaconda_trace_hash:0201a950f73aad846...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 13:02 EDT by eric magaoay
Modified: 2009-12-18 01:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:37:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (126.20 KB, text/plain)
2008-10-22 13:02 EDT, eric magaoay
no flags Details

  None (edit)
Description eric magaoay 2008-10-22 13:02:44 EDT
This bug was filed automatically by anaconda.
Comment 1 eric magaoay 2008-10-22 13:02:50 EDT
Created attachment 321179 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2008-10-22 13:12:07 EDT
The following errors from your exception report indicate there's problems either with your hardware or somewhere in the kernel.  Reassigning to kernel so they can look into it.

<3>end_request: I/O error, dev vda, sector 64368385
<3>Buffer I/O error on device dm-0, logical block 7995797
<4>lost page write due to I/O error on dm-0
<3>Buffer I/O error on device dm-0, logical block 7995798
<4>lost page write due to I/O error on dm-0
<3>Buffer I/O error on device dm-0, logical block 7995799
<4>lost page write due to I/O error on dm-0
Comment 3 eric magaoay 2008-10-22 13:12:42 EDT
While performing new install using qemu-kvm, install failed almost at the end of the process while downloading/installing the kernel.

Actual command use:
=============
/usr/bin/qemu-kvm -kernel /a/fed/dev/i386/os/isolinux/vmlinuz -initrd /a/fed/dev/i386/os/isolinux/initrd.img -append "ks=http://192.168.5.101/a/ks/fda0-17740"  -drive file=/a/q/i/fda0,if=virtio,boot=on  -localtime -usbdevice tablet -vnc :1840 -monitor stdio -net nic,vlan=7740,macaddr=52:54:00:01:18:40,model=virtio -net user,vlan=7740,hostname=fda0-17740 -name fda0-17740 -m 512  

kickstart file:
=============
install
url --url http://192.168.5.101/a/fed/dev/i386/os/
lang en_US.UTF-8
keyboard us
network --bootproto dhcp --hostname fda0-17740
rootpw install
timezone  America/New_York
vnc  --password install --host 192.168.5.101 --port 17740
user --name=adm0 --uid=500 --password=install
Comment 4 Chris Lumens 2008-10-22 13:24:30 EDT
That sounds like a completely different bug than the initial report.  Please open one bug per issue so we can track them.  Thanks.
Comment 5 Bug Zapper 2008-11-25 23:07:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jan "Yenya" Kasprzak 2009-02-17 08:09:04 EST
I see similar symptoms when installing a F10/x86_64 guest into a qemu-kvm running under a F10/x86_64 host using qcow2 image over virtio. Also the same errors occur after some time of using already installed machine:

kernel: end_request: I/O error, dev vda, sector 13921697
kernel: Buffer I/O error on device dm-0, logical block 1689961
kernel: lost page write due to I/O error on dm-0
kernel: Buffer I/O error on device dm-0, logical block 1689962

This is on two different hosts (both F10/x86_64, one running vanilla kernel, one running a Fedora kernel). I will try either a raw image or switching off virtio.
Comment 7 Jan "Yenya" Kasprzak 2009-02-17 12:07:20 EST
I have grabbed a kvm-83 src.rpm from today's rawhide, unpacked, edited for kvm-84 (I had to disable the %patch0), rebuilt, installed, and now I am able to install F10/x86_64 under itself, even with qcow2 image over virtio driver. Also after running the system for an hour or so, I have not seen the "end_request: I/O error, dev vda" messages so far.

So probably updating the aging kvm-74 from F10 to the latest-greatest kvm-84
fixes the problem for me.
Comment 8 Bug Zapper 2009-11-18 03:37:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jan "Yenya" Kasprzak 2009-11-18 06:25:18 EST
It is possible to close this as WONTFIX, the problem does not occur in newer versions of kvm.
Comment 10 Bug Zapper 2009-12-18 01:37:42 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.